Subject: b18 and the Java JNI with jdk 1.1.3
From: [email-masked] (Robert Allan Zeh)

13 Aug 1997 13:42:42 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0 (NeXT Mail 4.2mach v148)
Content-Type: text/plain
X-Nextstep-Mailer: Mail 4.2mach (Enhance 2.0b5)
Original-To: [email-masked]
Original-Sender: [email-masked]

I'm trying to use b18 to implement some native Java functions with jdk 1.1.3  
using the Java Native Interface.  Right now I'm at a point where I can write  
native java functions that return any of the primitive Java types, like jint  
or jchar, and everything works out fine.

But I'm unable to return actual Java objects (other than NULL --- that works  
just fine).  When I do return a non-null Java object the program crashes.   
I've tried returning unmodified objects that are passed in, and that doesn't  
work either.

Has anyone else had any luck using the JNI with b18?

Thanks,
Robert Zeh
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".